be.ehealth.business.mycarenetcommons.builders

## Class ResponseBuilderFactory

- java.lang.Object
- - be.ehealth.business.mycarenetcommons.builders.ResponseBuilderFactory

-     public final class ResponseBuilderFactory
      extends Object

  Factory for all Builders necessary to create a RequestObject. fully configurable with properties. use ResponseBuilderFactory.getResponseBuilder if key "mycarenet.mcn.responseobjectbuilder.class" exist in properties file this method return an instance of the class return in the value otherwise, this method return an instance of "be.ehealth.business.mycarenetcommons.builders.impl.ResponseBuilderImpl"

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseBuilder` | `getResponseBuilder()` Deprecated.
    `static ResponseBuilder` | `getResponseBuilder(String projectName)` Retrieve an instance of `CommonBuilder` implementation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getResponseBuilder

          @Deprecated
          public static ResponseBuilder getResponseBuilder()
                                                                 throws TechnicalConnectorException

      Deprecated.
      Retrieve an instance of `CommonBuilder` implementation. If mycarenet.{projectName}.usedefaultproperties is true, then the default project Name will be used to instanciate CommonBuilder
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### getResponseBuilder

          public static ResponseBuilder getResponseBuilder(String projectName)
                                                    throws TechnicalConnectorException

      Retrieve an instance of `CommonBuilder` implementation. If mycarenet.{projectName}.usedefaultproperties is true, then the default project Name will be used to instanciate CommonBuilder
      Parameters:
        `projectName` - the name of your project
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.